// see: https://raw.githubusercontent.com/ozh/github-colors/master/colors.json

const colors: Record<string, any> = {
  "ASP.NET": {
    color: "#9400ff",
    url: "https://github.com/trending?l=ASP.NET",
  },
  AspectJ: {
    color: "#a957b0",
    url: "https://github.com/trending?l=AspectJ",
  },
  Assembly: {
    color: "#6E4C13",
    url: "https://github.com/trending?l=Assembly",
  },
  AutoHotkey: {
    color: "#6594b9",
    url: "https://github.com/trending?l=AutoHotkey",
  },
  Blade: {
    color: "#f7523f",
    url: "https://github.com/trending?l=Blade",
  },
  C: {
    color: "#555555",
    url: "https://github.com/trending?l=C",
  },
  "C#": {
    color: "#178600",
    url: "https://github.com/trending?l=Csharp",
  },
  "C++": {
    color: "#f34b7d",
    url: "https://github.com/trending?l=C++",
  },
  Clojure: {
    color: "#db5855",
    url: "https://github.com/trending?l=Clojure",
  },
  "Closure Templates": {
    color: "#0d948f",
    url: "https://github.com/trending?l=Closure-Templates",
  },
  CMake: {
    color: null,
    url: "https://github.com/trending?l=CMake",
  },
  CoffeeScript: {
    color: "#244776",
    url: "https://github.com/trending?l=CoffeeScript",
  },
  CSS: {
    color: "#563d7c",
    url: "https://github.com/trending?l=CSS",
  },
  Cython: {
    color: null,
    url: "https://github.com/trending?l=Cython",
  },
  Dart: {
    color: "#00B4AB",
    url: "https://github.com/trending?l=Dart",
  },
  Dockerfile: {
    color: "#384d54",
    url: "https://github.com/trending?l=Dockerfile",
  },
  FreeMarker: {
    color: "#0050b2",
    url: "https://github.com/trending?l=FreeMarker",
  },
  "GCC Machine Description": {
    color: null,
    url: "https://github.com/trending?l=GCC-Machine-Description",
  },
  GDB: {
    color: null,
    url: "https://github.com/trending?l=GDB",
  },
  GDScript: {
    color: "#355570",
    url: "https://github.com/trending?l=GDScript",
  },
  Go: {
    color: "#00ADD8",
    url: "https://github.com/trending?l=Go",
  },
  GraphQL: {
    color: "#e10098",
    url: "https://github.com/trending?l=GraphQL",
  },
  Groovy: {
    color: "#e69f56",
    url: "https://github.com/trending?l=Groovy",
  },
  "Groovy Server Pages": {
    color: null,
    url: "https://github.com/trending?l=Groovy-Server-Pages",
  },
  Haml: {
    color: "#ece2a9",
    url: "https://github.com/trending?l=Haml",
  },
  Java: {
    color: "#b07219",
    url: "https://github.com/trending?l=Java",
  },
  "Java Server Pages": {
    color: null,
    url: "https://github.com/trending?l=Java-Server-Pages",
  },
  JavaScript: {
    color: "#f1e05a",
    url: "https://github.com/trending?l=JavaScript",
  },
  "JavaScript+ERB": {
    color: null,
    url: "https://github.com/trending?l=JavaScript+ERB",
  },
  jq: {
    color: "#c7254e",
    url: "https://github.com/trending?l=jq",
  },
  JSONiq: {
    color: "#40d47e",
    url: "https://github.com/trending?l=JSONiq",
  },
  Jsonnet: {
    color: "#0064bd",
    url: "https://github.com/trending?l=Jsonnet",
  },
  Julia: {
    color: "#a270ba",
    url: "https://github.com/trending?l=Julia",
  },
  "Jupyter Notebook": {
    color: "#DA5B0B",
    url: "https://github.com/trending?l=Jupyter-Notebook",
  },
  Kotlin: {
    color: "#F18E33",
    url: "https://github.com/trending?l=Kotlin",
  },
  Less: {
    color: "#1d365d",
    url: "https://github.com/trending?l=Less",
  },
  LiveScript: {
    color: "#499886",
    url: "https://github.com/trending?l=LiveScript",
  },
  LLVM: {
    color: "#185619",
    url: "https://github.com/trending?l=LLVM",
  },
  Lua: {
    color: "#000080",
    url: "https://github.com/trending?l=Lua",
  },
  Markdown: {
    color: "#083fa1",
    url: "https://github.com/trending?l=Markdown",
  },
  Nix: {
    color: "#7e7eff",
    url: "https://github.com/trending?l=Nix",
  },
  "Objective-C": {
    color: "#438eff",
    url: "https://github.com/trending?l=Objective-C",
  },
  "Objective-C++": {
    color: "#6866fb",
    url: "https://github.com/trending?l=Objective-C++",
  },
  "Objective-J": {
    color: "#ff0c5a",
    url: "https://github.com/trending?l=Objective-J",
  },
  OCaml: {
    color: "#3be133",
    url: "https://github.com/trending?l=OCaml",
  },
  Perl: {
    color: "#0298c3",
    url: "https://github.com/trending?l=Perl",
  },
  PHP: {
    color: "#4F5D95",
    url: "https://github.com/trending?l=PHP",
  },
  PowerShell: {
    color: "#012456",
    url: "https://github.com/trending?l=PowerShell",
  },
  Python: {
    color: "#3572A5",
    url: "https://github.com/trending?l=Python",
  },
  "Python console": {
    color: null,
    url: "https://github.com/trending?l=Python-console",
  },
  RPC: {
    color: null,
    url: "https://github.com/trending?l=RPC",
  },
  Ruby: {
    color: "#701516",
    url: "https://github.com/trending?l=Ruby",
  },
  Rust: {
    color: "#dea584",
    url: "https://github.com/trending?l=Rust",
  },
  Sass: {
    color: "#a53b70",
    url: "https://github.com/trending?l=Sass",
  },
  Scala: {
    color: "#c22d40",
    url: "https://github.com/trending?l=Scala",
  },
  Scheme: {
    color: "#1e4aec",
    url: "https://github.com/trending?l=Scheme",
  },
  SCSS: {
    color: "#c6538c",
    url: "https://github.com/trending?l=SCSS",
  },
  Shell: {
    color: "#89e051",
    url: "https://github.com/trending?l=Shell",
  },
  ShellSession: {
    color: null,
    url: "https://github.com/trending?l=ShellSession",
  },
  Stylus: {
    color: "#ff6347",
    url: "https://github.com/trending?l=Stylus",
  },
  Svelte: {
    color: "#ff3e00",
    url: "https://github.com/trending?l=Svelte",
  },
  SVG: {
    color: "#ff9900",
    url: "https://github.com/trending?l=SVG",
  },
  Swift: {
    color: "#ffac45",
    url: "https://github.com/trending?l=Swift",
  },
  TeX: {
    color: "#3D6117",
    url: "https://github.com/trending?l=TeX",
  },
  Twig: {
    color: "#c1d026",
    url: "https://github.com/trending?l=Twig",
  },
  TypeScript: {
    color: "#2b7489",
    url: "https://github.com/trending?l=TypeScript",
  },
  Vue: {
    color: "#2c3e50",
    url: "https://github.com/trending?l=Vue",
  },
  WebAssembly: {
    color: "#04133b",
    url: "https://github.com/trending?l=WebAssembly",
  },
  XSLT: {
    color: "#EB8CEB",
    url: "https://github.com/trending?l=XSLT",
  },
  YAML: {
    color: "#cb171e",
    url: "https://github.com/trending?l=YAML",
  },
};

export default colors;
